%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/transparency-dev/merkle
Version:                0.0.1

%gometa

%global common_description %{expand:
Go code to help create and manipulate Merkle trees, as well as constructing and
verifying various types of proof.}

%global golicenses      LICENSE
%global godocs          docs CONTRIBUTING.md README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go code to help create and manipulate Merkle trees

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.0.1-2
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
